Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4539)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4540)
@@ -2285,10 +2248,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> calculate_perct_static: Estimation of perceived temperature (PT, degree_C)
+!> Calculate_perct_static: Estimation of perceived temperature (PT, degree_C)
 !> Value of perct is the Perceived Temperature, degree centigrade
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE calculate_perct_static( ta, vp, ws, tmrt, pair, clo, perct_ij )
 
@@ -2296,37 +2259,21 @@
 !
 !-- Type of input of the argument list
+    REAL(wp), INTENT ( IN )  :: pair !< Local barometric air pressure (hPa)
     REAL(wp), INTENT ( IN )  :: ta   !< Local air temperature (degC)
+    REAL(wp), INTENT ( IN )  :: tmrt !< Local mean radiant temperature (degC)
     REAL(wp), INTENT ( IN )  :: vp   !< Local vapour pressure (hPa)
-    REAL(wp), INTENT ( IN )  :: tmrt !< Local mean radiant temperature (degC)
     REAL(wp), INTENT ( IN )  :: ws   !< Local wind velocitry (m/s)
-    REAL(wp), INTENT ( IN )  :: pair !< Local barometric air pressure (hPa)
 !
 !-- Type of output of the argument list
+    REAL(wp), INTENT ( OUT ) :: clo       !< Clothing index (dimensionless)
     REAL(wp), INTENT ( OUT ) :: perct_ij  !< Perceived temperature (degC)
-    REAL(wp), INTENT ( OUT ) :: clo       !< Clothing index (dimensionless)
 !
 !-- Parameters for standard "Klima-Michel"
-    REAL(wp), PARAMETER :: eta = 0._wp  !< Mechanical work efficiency for walking on flat ground
-                                        !< (compare to Fanger (1972) pp 24f)
-    REAL(wp), PARAMETER :: actlev = 134.6862_wp  !< Workload by activity per standardized surface (A_Du)
+    REAL(wp), PARAMETER :: actlev = 134.6862_wp  !< Workload by activity per standardized surface 
+                                                 !< (A_Du)
+    REAL(wp), PARAMETER :: eta = 0.0_wp          !< Mechanical work efficiency for walking on flat
+                                                 !< ground (compare to Fanger (1972) pp 24f)
 !
 !-- Type of program variables
-    REAL(wp), PARAMETER :: eps = 0.0005  !< Accuracy in clothing insulation (clo) for evaluation the root of Fanger's PMV (pmva=0)
-    REAL(wp) ::  sclo           !< summer clothing insulation
-    REAL(wp) ::  wclo           !< winter clothing insulation
-    REAL(wp) ::  d_pmv          !< PMV deviation (dimensionless --> PMV)
-    REAL(wp) ::  svp_ta         !< saturation vapor pressure    (hPa)
-    REAL(wp) ::  sult_lim       !< threshold for sultrieness    (hPa)
-    REAL(wp) ::  dgtcm          !< Mean deviation dependent on perct
-    REAL(wp) ::  dgtcstd        !< Mean deviation plus its standard deviation
-    REAL(wp) ::  clon           !< clo for neutral conditions   (clo)
-    REAL(wp) ::  ireq_minimal   !< Minimal required clothing insulation (clo)
-    REAL(wp) ::  pmv_w          !< Fangers predicted mean vote for winter clothing
-    REAL(wp) ::  pmv_s          !< Fangers predicted mean vote for summer clothing
-    REAL(wp) ::  pmva           !< adjusted predicted mean vote
-    REAL(wp) ::  ptc            !< perceived temp. for cold conditions (degree_C)
-    REAL(wp) ::  d_std          !< factor to threshold for sultriness
-    REAL(wp) ::  pmvs           !< pred. mean vote considering sultrieness
-
     INTEGER(iwp) :: ncount      !< running index
     INTEGER(iwp) :: nerr_cold   !< error number (cold conditions)
@@ -2334,4 +2281,24 @@
 
     LOGICAL :: sultrieness
+
+    REAL(wp), PARAMETER :: eps = 0.0005  !< Accuracy in clothing insulation (clo) for evaluation the
+                                         !< root of Fanger's PMV (pmva=0)
+
+    REAL(wp) ::  clon           !< clo for neutral conditions   (clo)
+    REAL(wp) ::  d_pmv          !< PMV deviation (dimensionless --> PMV)
+    REAL(wp) ::  dgtcm          !< Mean deviation dependent on perct
+    REAL(wp) ::  dgtcstd        !< Mean deviation plus its standard deviation
+    REAL(wp) ::  d_std          !< factor to threshold for sultriness
+    REAL(wp) ::  ireq_minimal   !< Minimal required clothing insulation (clo)
+    REAL(wp) ::  pmv_s          !< Fangers predicted mean vote for summer clothing
+    REAL(wp) ::  pmv_w          !< Fangers predicted mean vote for winter clothing
+    REAL(wp) ::  pmva           !< adjusted predicted mean vote
+    REAL(wp) ::  pmvs           !< pred. mean vote considering sultrieness
+    REAL(wp) ::  ptc            !< perceived temp. for cold conditions (degree_C)
+    REAL(wp) ::  sclo           !< summer clothing insulation
+    REAL(wp) ::  svp_ta         !< saturation vapor pressure    (hPa)
+    REAL(wp) ::  sult_lim       !< threshold for sultrieness    (hPa)
+    REAL(wp) ::  wclo           !< winter clothing insulation
+
 !
 !-- Initialise
@@ -2343,13 +2310,12 @@
 !
 !-- Tresholds: clothing insulation (account for model inaccuracies)
-!
-!-- summer clothing
+!-- Summer clothing
     sclo     = 0.44453_wp
 !
-!-- winter clothing
+!-- Winter clothing
     wclo     = 1.76267_wp
 !
-!-- decision: firstly calculate for winter or summer clothing
-    IF ( ta <= 10._wp )  THEN
+!-- Eecision: first calculate for winter or summer clothing
+    IF ( ta <= 10.0_wp )  THEN
 !
 !--    First guess: winter clothing insulation: cold stress
@@ -2358,5 +2324,5 @@
        pmv_w = pmva
 
-       IF ( pmva > 0._wp )  THEN
+       IF ( pmva > 0.0_wp )  THEN
 !
 !--       Case summer clothing insulation: heat load ?
@@ -2364,10 +2330,10 @@
           CALL fanger ( ta, tmrt, vp, ws, pair, clo, actlev, eta, pmva )
           pmv_s = pmva
-          IF ( pmva <= 0._wp )  THEN
-!
-!--          Case: comfort achievable by varying clothing insulation 
-!--          Between winter and summer set values
-             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta, sclo,      &
-                pmv_s, wclo, pmv_w, eps, pmva, ncount, clo )
+          IF ( pmva <= 0.0_wp )  THEN
+!
+!--          Case: comfort achievable by varying clothing insulation between winter and summer set
+!--                values
+             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta, sclo, pmv_s, wclo, pmv_w, eps, &
+                               pmva, ncount, clo )
              IF ( ncount < 0_iwp )  THEN
                 nerr = -1_iwp
@@ -2376,8 +2342,7 @@
           ELSE IF ( pmva > 0.06_wp )  THEN
              clo = 0.5_wp
-             CALL fanger ( ta, tmrt, vp, ws, pair, clo, actlev, eta,           &
-                           pmva )
+             CALL fanger ( ta, tmrt, vp, ws, pair, clo, actlev, eta,  pmva )
           ENDIF
-       ELSE IF ( pmva < -0.11_wp )  THEN
+       ELSE IF ( pmva < - 0.11_wp )  THEN
           clo = 1.75_wp
           CALL fanger ( ta, tmrt, vp, ws, pair, clo, actlev, eta, pmva )
@@ -2390,5 +2355,5 @@
        pmv_s = pmva
 
-       IF ( pmva < 0._wp )  THEN
+       IF ( pmva < 0.0_wp )  THEN
 !
 !--       Case winter clothing insulation: cold stress ?
@@ -2397,18 +2362,17 @@
           pmv_w = pmva
 
-          IF ( pmva >= 0._wp )  THEN
-!
-!--          Case: comfort achievable by varying clothing insulation 
-!--          between winter and summer set values
-             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta, sclo,      &
-                               pmv_s, wclo, pmv_w, eps, pmva, ncount, clo )
+          IF ( pmva >= 0.0_wp )  THEN
+!
+!--          Case: comfort achievable by varying clothing insulation between winter and summer set
+!--                values
+             CALL iso_ridder ( ta, tmrt, vp, ws, pair, actlev, eta, sclo, pmv_s, wclo, pmv_w, eps, &
+                               pmva, ncount, clo )
              IF ( ncount < 0_iwp )  THEN
                 nerr = -1_iwp
                 RETURN
              ENDIF
-          ELSE IF ( pmva < -0.11_wp )  THEN
+          ELSE IF ( pmva < - 0.11_wp )  THEN
              clo = 1.75_wp
-             CALL fanger ( ta, tmrt, vp, ws, pair, clo, actlev, eta,           &
-                           pmva )
+             CALL fanger ( ta, tmrt, vp, ws, pair, clo, actlev, eta, pmva )
           ENDIF
        ELSE IF ( pmva > 0.06_wp )  THEN
@@ -2423,5 +2387,5 @@
     CALL perct_regression( pmva, clo, perct_ij )
     ptc = perct_ij
-    IF ( clo >= 1.75_wp  .AND.  pmva <= -0.11_wp )  THEN
+    IF ( clo >= 1.75_wp  .AND.  pmva <= - 0.11_wp )  THEN
 !
 !--    Adjust for cold conditions according to Gagge 1986
@@ -2429,7 +2393,7 @@
        IF ( nerr_cold > 0_iwp )  nerr = -5_iwp
        pmvs = pmva - d_pmv
-       IF ( pmvs > -0.11_wp )  THEN
-          d_pmv  = 0._wp
-          pmvs   = -0.11_wp
+       IF ( pmvs > - 0.11_wp )  THEN
+          d_pmv  = 0.0_wp
+          pmvs   = - 0.11_wp
        ENDIF
        CALL perct_regression( pmvs, clo, perct_ij )
@@ -2439,7 +2403,6 @@
     IF ( clo > 0.5_wp  .AND.  perct_ij <= 8.73_wp )  THEN
 !
-!--    Required clothing insulation (ireq) is exclusively defined for 
-!--    perceived temperatures (perct) less 10 (C) for a 
-!--    reference wind of 0.2 m/s according to 8.73 (C) for 0.1 m/s
+!--    Required clothing insulation (ireq) is exclusively defined for perceived temperatures (perct)
+!--    less 10 (C) for a reference wind of 0.2 m/s according to 8.73 (C) for 0.1 m/s.
        clon = ireq_neutral ( perct_ij, ireq_minimal, nerr )
        clo = clon
@@ -2447,5 +2410,5 @@
     CALL calc_sultr( ptc, dgtcm, dgtcstd, sult_lim )
     sultrieness    = .FALSE.
-    d_std = -99._wp
+    d_std = -99.0_wp
     IF ( pmva > 0.06_wp  .AND.  clo <= 0.5_wp )  THEN
 !
@@ -2455,5 +2418,5 @@
        pmvs   = pmva + d_pmv
        CALL perct_regression( pmvs, clo, perct_ij )
-       IF ( sult_lim < 99._wp )  THEN
+       IF ( sult_lim < 99.0_wp )  THEN
           IF ( (perct_ij - ptc) > sult_lim )  sultrieness = .TRUE.
 !
@@ -2467,13 +2430,12 @@
  END SUBROUTINE calculate_perct_static
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> The SUBROUTINE calculates the (saturation) water vapour pressure 
-!> (hPa = hecto Pascal) for a given temperature ta (degC).
-!> 'ta' can be the air temperature or the dew point temperature. The first will
-!> result in the current vapor pressure (hPa), the latter will calulate the
-!> saturation vapor pressure (hPa).
-!------------------------------------------------------------------------------!
+!> The SUBROUTINE calculates the (saturation) water vapour pressure (hPa = hecto Pascal) for a given
+!> temperature ta (degC).
+!>'ta' can be the air temperature or the dew point temperature. The first will result in the current
+!> vapor pressure (hPa), the latter will calulate the saturation vapor pressure (hPa).
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE saturation_vapor_pressure( ta, svp_ta )
 
@@ -2487,5 +2449,5 @@
 
 
-    IF ( ta < 0._wp )  THEN
+    IF ( ta < 0.0_wp )  THEN
 !
 !--    ta  < 0 (degC): water vapour pressure over ice
@@ -2504,57 +2466,58 @@
  END SUBROUTINE saturation_vapor_pressure
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Find the clothing insulation value clo_res (clo) to make Fanger's Predicted
-!> Mean Vote (PMV) equal comfort (pmva=0) for actual meteorological conditions 
-!> (ta,tmrt, vp, ws, pair) and values of individual's activity level
-!------------------------------------------------------------------------------!
- SUBROUTINE iso_ridder( ta, tmrt, vp, ws, pair, actlev, eta, sclo,             &
-                       pmv_s, wclo, pmv_w, eps, pmva, nerr,               &
-                       clo_res )
+!> Find the clothing insulation value clo_res (clo) to make Fanger's Predicted Mean Vote (PMV) equal
+!> comfort (pmva=0) for actual meteorological conditions (ta,tmrt, vp, ws, pair) and values of
+!> individual's activity level.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE iso_ridder( ta, tmrt, vp, ws, pair, actlev, eta, sclo, pmv_s, wclo, pmv_w, eps, pmva,  &
+                        nerr, clo_res )
 
     IMPLICIT NONE
 !
 !-- Input variables of argument list:
+    REAL(wp), INTENT ( IN )  :: actlev   !< Individuals activity level per unit surface area (W/m2)
+    REAL(wp), INTENT ( IN )  :: eps      !< (0.05) accuracy in clothing insulation (clo) for evaluation the root of Fanger's PMV (pmva=0)
+    REAL(wp), INTENT ( IN )  :: eta      !< Individuals work efficiency (dimensionless)
+    REAL(wp), INTENT ( IN )  :: pair     !< Barometric air pressure (hPa)
+    REAL(wp), INTENT ( IN )  :: pmv_s    !< Fanger's PMV corresponding to sclo
+    REAL(wp), INTENT ( IN )  :: pmv_w    !< Fanger's PMV corresponding to wclo
+    REAL(wp), INTENT ( IN )  :: sclo     !< Lower threshold of bracketing clothing insulation (clo)
     REAL(wp), INTENT ( IN )  :: ta       !< Ambient temperature (degC)
     REAL(wp), INTENT ( IN )  :: tmrt     !< Mean radiant temperature (degC)
     REAL(wp), INTENT ( IN )  :: vp       !< Water vapour pressure (hPa)
+    REAL(wp), INTENT ( IN )  :: wclo     !< Upper threshold of bracketing clothing insulation (clo)
     REAL(wp), INTENT ( IN )  :: ws       !< Wind speed (m/s) 1 m above ground
-    REAL(wp), INTENT ( IN )  :: pair     !< Barometric air pressure (hPa)
-    REAL(wp), INTENT ( IN )  :: actlev   !< Individuals activity level per unit surface area (W/m2)
-    REAL(wp), INTENT ( IN )  :: eta      !< Individuals work efficiency (dimensionless)
-    REAL(wp), INTENT ( IN )  :: sclo     !< Lower threshold of bracketing clothing insulation (clo) 
-    REAL(wp), INTENT ( IN )  :: wclo     !< Upper threshold of bracketing clothing insulation (clo)
-    REAL(wp), INTENT ( IN )  :: eps      !< (0.05) accuracy in clothing insulation (clo) for 
-!                                          evaluation the root of Fanger's PMV (pmva=0)
-    REAL(wp), INTENT ( IN )  :: pmv_w    !< Fanger's PMV corresponding to wclo
-    REAL(wp), INTENT ( IN )  :: pmv_s    !< Fanger's PMV corresponding to sclo
 !
 !-- Output variables of argument list:
-    REAL(wp), INTENT ( OUT ) :: pmva     !< 0 (set to zero, because clo is evaluated for comfort)
-    REAL(wp), INTENT ( OUT ) :: clo_res  !< Resulting clothing insulation value (clo)
     INTEGER(iwp), INTENT ( OUT ) :: nerr !< Error status / quality flag
                                          !< nerr >= 0, o.k., and nerr is the number of iterations for convergence
                                          !< nerr = -1: error = malfunction of Ridder's convergence method
-                                         !< nerr = -2: error = maximum iterations (max_iteration) exceeded 
+                                         !< nerr = -2: error = maximum iterations (max_iteration) exceeded
                                          !< nerr = -3: error = root not bracketed between sclo and wclo
+
+    REAL(wp), INTENT ( OUT ) :: clo_res  !< Resulting clothing insulation value (clo)
+    REAL(wp), INTENT ( OUT ) :: pmva     !< 0 (set to zero, because clo is evaluated for comfort)
 !
 !-- Type of program variables
     INTEGER(iwp), PARAMETER  ::  max_iteration = 15_iwp       !< max number of iterations
+    INTEGER(iwp) ::  j       !< running index
+
     REAL(wp),     PARAMETER  ::  guess_0       = -1.11e30_wp  !< initial guess
-    REAL(wp) ::  x_ridder    !< current guess for clothing insulation   (clo)
+
     REAL(wp) ::  clo_lower   !< lower limit of clothing insulation      (clo)
     REAL(wp) ::  clo_upper   !< upper limit of clothing insulation      (clo)
+    REAL(wp) ::  sroot       !< sqrt of PMV-guess
+    REAL(wp) ::  x_average   !< average of x_lower and x_upper          (clo)
     REAL(wp) ::  x_lower     !< lower guess for clothing insulation     (clo)
+    REAL(wp) ::  x_new       !< preliminary result for clothing insulation (clo)
+    REAL(wp) ::  x_ridder    !< current guess for clothing insulation   (clo)
     REAL(wp) ::  x_upper     !< upper guess for clothing insulation     (clo)
-    REAL(wp) ::  x_average   !< average of x_lower and x_upper          (clo)
-    REAL(wp) ::  x_new       !< preliminary result for clothing insulation (clo)
+    REAL(wp) ::  y_average   !< average of y_lower and y_upper
+    REAL(wp) ::  y_new       !< preliminary result for pred. mean vote
     REAL(wp) ::  y_lower     !< predicted mean vote for summer clothing
     REAL(wp) ::  y_upper     !< predicted mean vote for winter clothing
-    REAL(wp) ::  y_average   !< average of y_lower and y_upper
-    REAL(wp) ::  y_new       !< preliminary result for pred. mean vote
-    REAL(wp) ::  sroot       !< sqrt of PMV-guess
-    INTEGER(iwp) ::  j       !< running index
 !
 !-- Initialise
@@ -2563,11 +2526,11 @@
 !-- Set pmva = 0 (comfort): Root of PMV depending on clothing insulation
     x_ridder    = bio_fill_value
-    pmva        = 0._wp
+    pmva        = 0.0_wp
     clo_lower   = sclo
     y_lower     = pmv_s
     clo_upper   = wclo
     y_upper     = pmv_w
-    IF ( ( y_lower > 0._wp  .AND.  y_upper < 0._wp )  .OR.                     &
-         ( y_lower < 0._wp  .AND.  y_upper > 0._wp ) )  THEN
+    IF ( ( y_lower > 0.0_wp .AND. y_upper < 0.0_wp )  .OR.                                         &
+         ( y_lower < 0.0_wp .AND. y_upper > 0.0_wp ) )  THEN
        x_lower  = clo_lower
        x_upper  = clo_upper
@@ -2576,6 +2539,5 @@
        DO  j = 1_iwp, max_iteration
           x_average = 0.5_wp * ( x_lower + x_upper )
-          CALL fanger ( ta, tmrt, vp, ws, pair, x_average, actlev, eta,        &
-                        y_average )
+          CALL fanger ( ta, tmrt, vp, ws, pair, x_average, actlev, eta, y_average )
           sroot = SQRT( y_average**2 - y_lower * y_upper )
           IF ( ABS( sroot ) < 0.00001_wp )  THEN
@@ -2584,6 +2546,6 @@
              RETURN
           ENDIF
-          x_new = x_average + ( x_average - x_lower ) *                        &
-                      ( SIGN ( 1._wp, y_lower - y_upper ) * y_average / sroot )
+          x_new = x_average + ( x_average - x_lower ) *                                            &
+                  ( SIGN ( 1.0_wp, y_lower - y_upper ) * y_average / sroot )
           IF ( ABS( x_new - x_ridder ) <= eps )  THEN
              clo_res = x_ridder
@@ -2592,6 +2554,5 @@
           ENDIF
           x_ridder = x_new
-          CALL fanger ( ta, tmrt, vp, ws, pair, x_ridder, actlev, eta,         &
-                        y_new )
+          CALL fanger ( ta, tmrt, vp, ws, pair, x_ridder, actlev, eta, y_new )
           IF ( ABS( y_new ) < 0.00001_wp )  THEN
              clo_res = x_ridder
@@ -2612,5 +2573,5 @@
           ELSE
 !
-!--          Never get here in x_ridder: singularity in y
+!--          Never get here in x_ridder: SINgularity in y
              nerr    = -1_iwp
              clo_res = x_ridder
@@ -2642,21 +2603,20 @@
  END SUBROUTINE iso_ridder
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Regression relations between perceived temperature (perct) and (adjusted) 
-!> PMV. The regression presumes the Klima-Michel settings for reference 
-!> individual and reference environment.
-!------------------------------------------------------------------------------!
+!> Regression relations between perceived temperature (perct) and (adjusted) PMV. The regression
+!> presumes the Klima-Michel settings for reference individual and reference environment.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE perct_regression( pmv, clo, perct_ij )
 
     IMPLICIT NONE
 
+    REAL(wp), INTENT ( IN ) ::  clo   !< clothing insulation index (clo)
     REAL(wp), INTENT ( IN ) ::  pmv   !< Fangers predicted mean vote (dimensionless)
-    REAL(wp), INTENT ( IN ) ::  clo   !< clothing insulation index (clo)
 
     REAL(wp), INTENT ( OUT ) ::  perct_ij   !< perct (degC) corresponding to given PMV / clo
 
-    IF ( pmv <= -0.11_wp )  THEN
+    IF ( pmv <= - 0.11_wp )  THEN
        perct_ij = 5.805_wp + 12.6784_wp * pmv
     ELSE
@@ -2670,14 +2630,13 @@
  END SUBROUTINE perct_regression
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> FANGER.F90
 !>
-!> SI-VERSION: ACTLEV W m-2, DAMPFDRUCK hPa
-!> Berechnet das aktuelle Predicted Mean Vote nach Fanger
-!>
+!> SI-VERSION: ACTLEV W m-2, VAPOUR PRESSURE hPa
+!> Calculates the current Predicted Mean Vote according to Fanger.
 !> The case of free convection (ws < 0.1 m/s) is dealt with ws = 0.1 m/s
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE fanger( ta, tmrt, pa, in_ws, pair, in_clo, actlev, eta, pmva )
 
@@ -2685,33 +2644,36 @@
 !
 !-- Input variables of argument list:
+    REAL(wp), INTENT ( IN ) ::  actlev   !< Individuals activity level per unit surface area (W/m2)
+    REAL(wp), INTENT ( IN ) ::  eta      !< Individuals mechanical work efficiency (dimensionless)
+    REAL(wp), INTENT ( IN ) ::  in_clo   !< Clothing insulation (clo)
+    REAL(wp), INTENT ( IN ) ::  in_ws    !< Wind speed (m/s) 1 m above ground
+    REAL(wp), INTENT ( IN ) ::  pa       !< Water vapour pressure (hPa)
+    REAL(wp), INTENT ( IN ) ::  pair     !< Barometric pressure (hPa) at site
     REAL(wp), INTENT ( IN ) ::  ta       !< Ambient air temperature (degC)
     REAL(wp), INTENT ( IN ) ::  tmrt     !< Mean radiant temperature (degC)
-    REAL(wp), INTENT ( IN ) ::  pa       !< Water vapour pressure (hPa)
-    REAL(wp), INTENT ( IN ) ::  pair     !< Barometric pressure (hPa) at site
-    REAL(wp), INTENT ( IN ) ::  in_ws    !< Wind speed (m/s) 1 m above ground
-    REAL(wp), INTENT ( IN ) ::  in_clo   !< Clothing insulation (clo)
-    REAL(wp), INTENT ( IN ) ::  actlev   !< Individuals activity level per unit surface area (W/m2)
-    REAL(wp), INTENT ( IN ) ::  eta      !< Individuals mechanical work efficiency (dimensionless)
+
 !
 !-- Output variables of argument list:
-    REAL(wp), INTENT ( OUT ) ::  pmva    !< Actual Predicted Mean Vote (PMV, 
-                                         !< dimensionless) according to Fanger corresponding to meteorological 
+    REAL(wp), INTENT ( OUT ) ::  pmva    !< Actual Predicted Mean Vote (PMV,
+                                         !< dimensionless) according to Fanger corresponding to meteorological
                                          !< (ta,tmrt,pa,ws,pair) and individual variables (clo, actlev, eta)
 !
 !-- Internal variables
-    REAL(wp) ::  f_cl         !< Increase in surface due to clothing    (factor)
-    REAL(wp) ::  heat_convection  !< energy loss by autocnvection       (W)
+    INTEGER(iwp) :: i         !< running index
+
     REAL(wp) ::  activity     !< persons activity  (must stay == actlev, W)
-    REAL(wp) ::  t_skin_aver  !< average skin temperature               (degree_C)
     REAL(wp) ::  bc           !< preliminary result storage
     REAL(wp) ::  cc           !< preliminary result storage
+    REAL(wp) ::  clo          !< clothing insulation index              (clo)
     REAL(wp) ::  dc           !< preliminary result storage
     REAL(wp) ::  ec           !< preliminary result storage
+    REAL(wp) ::  f_cl         !< Increase in surface due to clothing    (factor)
     REAL(wp) ::  gc           !< preliminary result storage
+    REAL(wp) ::  heat_convection  !< energy loss by autocnvection       (W)
+    REAL(wp) ::  hr           !< radiational heat resistence
     REAL(wp) ::  t_clothing   !< clothing temperature                   (degree_C)
-    REAL(wp) ::  hr           !< radiational heat resistence
-    REAL(wp) ::  clo          !< clothing insulation index              (clo)
+    REAL(wp) ::  t_skin_aver  !< average skin temperature               (degree_C)
     REAL(wp) ::  ws           !< wind speed                             (m/s)
-    REAL(wp) ::  z1           !< Empiric factor for the adaption of the heat 
+    REAL(wp) ::  z1           !< Empiric factor for the adaption of the heat
                               !< ballance equation to the psycho-physical scale (Equ. 40 in FANGER)
     REAL(wp) ::  z2           !< Water vapour diffution through the skin
@@ -2720,17 +2682,17 @@
     REAL(wp) ::  z5           !< Loss of radiational heat
     REAL(wp) ::  z6           !< Heat loss through forced convection
-    INTEGER(iwp) :: i         !< running index
+
 !
 !-- Clo must be > 0. to avoid div. by 0!
     clo = in_clo
-    IF ( clo <= 0._wp )  clo = .001_wp
-!
-!-- f_cl = Increase in surface due to clothing
-    f_cl = 1._wp + .15_wp * clo
+    IF ( clo <= 0.0_wp )  clo = .001_wp
+!
+!-- f_cl = increase in surface due to clothing
+    f_cl = 1.0_wp + 0.15_wp * clo
 !
 !-- Case of free convection (ws < 0.1 m/s ) not considered
     ws = in_ws
-    IF ( ws < .1_wp )  THEN
-       ws = .1_wp
+    IF ( ws < 0.1_wp )  THEN
+       ws = 0.1_wp
     ENDIF
 !
@@ -2738,46 +2700,45 @@
     heat_convection = 12.1_wp * SQRT( ws * pair / 1013.25_wp )
 !
-!-- Activity = inner heat produktion per standardized surface
-    activity = actlev * ( 1._wp - eta )
-!
-!-- T_skin_aver = average skin temperature
-    t_skin_aver = 35.7_wp - .0275_wp * activity
+!-- Activity = inner heat production per standardized surface
+    activity = actlev * ( 1.0_wp - eta )
+!
+!-- t_skin_aver = average skin temperature
+    t_skin_aver = 35.7_wp - 0.0275_wp * activity
 !
 !-- Calculation of constants for evaluation below
-    bc = .155_wp * clo * 3.96_wp * 10._wp**( -8 ) * f_cl
+    bc = 0.155_wp * clo * 3.96_wp * 10.0_wp**( -8 ) * f_cl
     cc = f_cl * heat_convection
-    ec = .155_wp * clo
-    dc = ( 1._wp + ec * cc ) / bc
+    ec = 0.155_wp * clo
+    dc = ( 1.0_wp + ec * cc ) / bc
     gc = ( t_skin_aver + bc * ( tmrt + degc_to_k )**4 + ec * cc * ta ) / bc
 !
-!-- Calculation of clothing surface temperature (t_clothing) based on
-!-- Newton-approximation with air temperature as initial guess
+!-- Calculation of clothing surface temperature (t_clothing) based on Newton-approximation with air
+!-- temperature as initial guess.
     t_clothing = ta
     DO  i = 1, 3
-       t_clothing = t_clothing - ( ( t_clothing + degc_to_k )**4 + t_clothing  &
-          * dc - gc ) / ( 4._wp * ( t_clothing + degc_to_k )**3 + dc )
+       t_clothing = t_clothing - ( ( t_clothing + degc_to_k )**4 + t_clothing * dc - gc ) /        &
+                    ( 4.0_wp * ( t_clothing + degc_to_k )**3 + dc )
     ENDDO
 !
-!-- Empiric factor for the adaption of the heat ballance equation
-!-- to the psycho-physical scale (Equ. 40 in FANGER)
-    z1 = ( .303_wp * EXP( -.036_wp * actlev ) + .0275_wp )
+!-- Empiric factor for the adaption of the heat ballance equation to the psycho-physical scale (Equ.
+!-- 40 in FANGER)
+    z1 = ( 0.303_wp * EXP( - 0.036_wp * actlev ) + 0.0275_wp )
 !
 !-- Water vapour diffution through the skin
-    z2 = .31_wp * ( 57.3_wp - .07_wp * activity-pa )
+    z2 = 0.31_wp * ( 57.3_wp - 0.07_wp * activity-pa )
 !
 !-- Sweat evaporation from the skin surface
-    z3 = .42_wp * ( activity - 58._wp )
+    z3 = 0.42_wp * ( activity - 58.0_wp )
 !
 !-- Loss of latent heat through respiration
-    z4 = .0017_wp * actlev * ( 58.7_wp - pa ) + .0014_wp * actlev *            &
-      ( 34._wp - ta )
+    z4 = 0.0017_wp * actlev * ( 58.7_wp - pa ) + 0.0014_wp * actlev *                              &
+         ( 34.0_wp - ta )
 !
 !-- Loss of radiational heat
-    z5 = 3.96e-8_wp * f_cl * ( ( t_clothing + degc_to_k )**4 - ( tmrt +        &
-       degc_to_k )**4 )
-    IF ( ABS( t_clothing - tmrt ) > 0._wp )  THEN
+    z5 = 3.96e-8_wp * f_cl * ( ( t_clothing + degc_to_k )**4 - ( tmrt + degc_to_k )**4 )
+    IF ( ABS( t_clothing - tmrt ) > 0.0_wp )  THEN
        hr = z5 / f_cl / ( t_clothing - tmrt )
     ELSE
-       hr = 0._wp
+       hr = 0.0_wp
     ENDIF
 !
@@ -2790,10 +2751,10 @@
  END SUBROUTINE fanger
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> For pmva > 0 and clo =0.5 the increment (deltapmv) is calculated
-!> that converts pmva into Gagge's et al. (1986) PMV*.
-!------------------------------------------------------------------------------!
+!> For pmva > 0 and clo =0.5 the increment (deltapmv) is calculated that converts pmva into Gagge's
+!> et al. (1986) PMV*.
+!--------------------------------------------------------------------------------------------------!
  REAL(wp) FUNCTION deltapmv( pmva, ta, vp, svp_ta, tmrt, ws, nerr )
 
@@ -2803,8 +2764,8 @@
 !-- Input variables of argument list:
     REAL(wp),     INTENT ( IN )  :: pmva     !< Actual Predicted Mean Vote (PMV) according to Fanger
+    REAL(wp),     INTENT ( IN )  :: svp_ta   !< Saturation water vapour pressure (hPa) at ta
     REAL(wp),     INTENT ( IN )  :: ta       !< Ambient temperature (degC) at screen level
+    REAL(wp),     INTENT ( IN )  :: tmrt     !< Mean radiant temperature (degC) at screen level
     REAL(wp),     INTENT ( IN )  :: vp       !< Water vapour pressure (hPa) at screen level
-    REAL(wp),     INTENT ( IN )  :: svp_ta   !< Saturation water vapour pressure (hPa) at ta
-    REAL(wp),     INTENT ( IN )  :: tmrt     !< Mean radiant temperature (degC) at screen level
     REAL(wp),     INTENT ( IN )  :: ws       !< Wind speed (m/s) 1 m above ground
 
